# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2005/04/14 23:12:56-04:00 len.brown@intel.com 
#   [ACPI] Deprecate /proc/acpi/sleep in favor of /sys/power/state
#   
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/acpi/sleep/proc.c
#   2005/04/14 23:12:39-04:00 len.brown@intel.com +9 -0
#   Deprecate /proc/acpi/sleep in favor of /sys/power/state
# 
# drivers/acpi/Kconfig
#   2005/04/14 23:12:39-04:00 len.brown@intel.com +8 -0
#   Deprecate /proc/acpi/sleep in favor of /sys/power/state
# 
Index: linux-2.6.13/drivers/acpi/Kconfig
===================================================================
--- linux-2.6.13.orig/drivers/acpi/Kconfig	2005-07-10 01:04:30.000000000 -0400
+++ linux-2.6.13/drivers/acpi/Kconfig	2005-07-10 01:05:41.000000000 -0400
@@ -80,6 +80,14 @@
 	depends on ACPI_SLEEP && PROC_FS
 	default y
 
+config ACPI_SLEEP_PROC_SLEEP
+	bool "/proc/acpi/sleep (deprecated)"
+	depends on ACPI_SLEEP_PROC_FS
+	default n
+	---help---
+	  Create /proc/acpi/sleep
+	  Deprecated by /sys/power/state
+
 config ACPI_AC
 	tristate "AC Adapter"
 	depends on X86
Index: linux-2.6.13/drivers/acpi/sleep/proc.c
===================================================================
--- linux-2.6.13.orig/drivers/acpi/sleep/proc.c	2005-07-10 01:01:38.000000000 -0400
+++ linux-2.6.13/drivers/acpi/sleep/proc.c	2005-07-10 01:05:41.000000000 -0400
@@ -13,13 +13,17 @@
 
 #include "sleep.h"
 
+#ifdef	CONFIG_ACPI_SLEEP_PROC_SLEEP
 #define ACPI_SYSTEM_FILE_SLEEP		"sleep"
+#endif
+
 #define ACPI_SYSTEM_FILE_ALARM		"alarm"
 #define ACPI_SYSTEM_FILE_WAKEUP_DEVICE   "wakeup"
 
 #define _COMPONENT		ACPI_SYSTEM_COMPONENT
 ACPI_MODULE_NAME		("sleep")
 
+#ifdef	CONFIG_ACPI_SLEEP_PROC_SLEEP
 
 static int acpi_system_sleep_seq_show(struct seq_file *seq, void *offset)
 {
@@ -78,6 +82,7 @@
  Done:
 	return error ? error : count;
 }
+#endif	/* CONFIG_ACPI_SLEEP_PROC_SLEEP */
 
 static int acpi_system_alarm_seq_show(struct seq_file *seq, void *offset)
 {
@@ -452,6 +457,7 @@
 	.release	= single_release,
 };
 
+#ifdef	CONFIG_ACPI_SLEEP_PROC_SLEEP
 static struct file_operations acpi_system_sleep_fops = {
 	.open		= acpi_system_sleep_open_fs,
 	.read		= seq_read,
@@ -459,6 +465,7 @@
 	.llseek		= seq_lseek,
 	.release	= single_release,
 };
+#endif	/* CONFIG_ACPI_SLEEP_PROC_SLEEP */
 
 static struct file_operations acpi_system_alarm_fops = {
 	.open		= acpi_system_alarm_open_fs,
@@ -484,11 +491,13 @@
 	if (acpi_disabled)
 		return 0;
  
+#ifdef	CONFIG_ACPI_SLEEP_PROC_SLEEP
 	/* 'sleep' [R/W]*/
 	entry = create_proc_entry(ACPI_SYSTEM_FILE_SLEEP,
 				  S_IFREG|S_IRUGO|S_IWUSR, acpi_root_dir);
 	if (entry)
 		entry->proc_fops = &acpi_system_sleep_fops;
+#endif
 
 	/* 'alarm' [R/W] */
 	entry = create_proc_entry(ACPI_SYSTEM_FILE_ALARM,
